package com.tzy.service;

import com.tzy.pojo.item.OrderList;
import com.tzy.pojo.item.Sku;

import java.util.List;

public interface SkuService {

    /**
     * 根据spuId查询上架sku
     * @param spuId
     * @return
     */
    List<Sku> getShelfOnBySpuId(Long spuId);

    /**
     * 查询上架商品
     * @param skuId
     * @return
     */
    Sku selectOne(Integer skuId);

    /**
     * 增减库存,需提前加锁
     *
     * @param skuId
     */
    void updateSkuStockV2(Long skuId);

	void updateSkuSoldStock(OrderList orderList);

    Sku selectSkuByIdAndStatus(Integer skuId,Long status);
}
